Real-Time Measurement and Control

cancel
Showing results for 
Search instead for 
Did you mean: 

CRio9073 not recognizing NI9214

Solved!
Go to solution

Dear all,

I'm dealing with some problems to connect the module NI9214 to CRio9073. I'm using Windows 10 with an ethernet cable connected to the Crio with NiCompact 18.5 and Labview 2016. The status on CRio is connected. However, the NI9214 does not appear. I intend to measure temperatures with Daqmx and labview.

 

Must the IP adress of the computer and Crio be the same?

 

Thank you very much!

0 Kudos
Message 1 of 10
(1,153 Views)

cRIO-9073 does not support DAQmx. You must program it using Scan Mode or FPGA mode. See section 2 or 3 of Take Your First Measurement in LabVIEW Real-Time (Data Logging)

Your PC should have LabVIEW Real-Time Module and LabVIEW FPGA Module installed as well.

0 Kudos
Message 2 of 10
(1,147 Views)

Dear ZyOng, 

 

Thank you for helping me. I did all the steps and the module NI9214 is still not showing in MAX and I have a VISA error.

I have LABVIEW real-time module and FPGA module installed.

 

Thanks again!

0 Kudos
Message 3 of 10
(1,125 Views)

The modules will not be detected under cRIO-9075 in NI MAX. You can only detect them in the LabVIEW project.

CompactRIO C Series Modules Not Showing in NI MAX

0 Kudos
Message 4 of 10
(1,119 Views)

Dear ZYOng,

 

Now I could undestand how cRIO works. Thanks about that! However, I couldn't still detect the module in LabVIEW project. It appears I have some warning about driver, but I checked about the compatibility and it should be right. I attacked some pictures about the drivers.

 

Thank you for helping me!

0 Kudos
Message 5 of 10
(1,035 Views)

Is your LabVIEW RT module 2015 activated? Can you open your NI License Manager to check it?

0 Kudos
Message 6 of 10
(1,029 Views)

It should be. I attached the NI License Manager. 

0 Kudos
Message 7 of 10
(969 Views)

It should be. I attached the NI License Manager. Do you know any possible reason for the warning? Thank you again! 

0 Kudos
Message 8 of 10
(875 Views)
Solution
Accepted by topic author kelvinguessi

Are you using LabVIEW 2015 or 2016? Your cRIO has LV2015 installed but the image shows that you are using LV2016.

Besides, did you install LV after installing NI-RIO driver? Try to install the NI-RIO again.

0 Kudos
Message 9 of 10
(870 Views)

Dear ZYOng,

 

I unistalled all softwares and now first installed only LabVIEW 2016 and then cRIO 18.5. Now it worked. Thank you very much for your time and help!

 

Have a good day!

0 Kudos
Message 10 of 10
(813 Views)